Skip to navigation

Update Event Type Availability Schedules

Update an event type availability schedule. Set Custom hours by sending timezone and optionally rules. Apply an existing Named schedule by sending user_availability_schedule.

If the Event Type’s availability_setting is all, Named schedule mode returns 400.

In Named schedule mode, availability_rule.name and availability_rule.uri are the applied schedule’s. In Custom hours mode, name is null, as today.

Required scopes

availability:write

Authentication

AuthorizationBearer
OAuth 2.0
OR
AuthorizationBearer
Personal Access Token

Query parameters

event_typestringRequiredformat: "uri"
Event Type uri in which to update the availability schedule

Request

This endpoint expects an object.
availability_ruleobjectRequired

Send exactly one mode. On the request, availability_rule.uri is deprecated and ignored. Use user_availability_schedule in Named schedule mode.

Named schedule mode — Send user_availability_schedule and optionally user. Do not send timezone or rules.

Custom hours mode — Send timezone and optionally rules. Do not send user_availability_schedule.

Send both modes or send neither mode. The API returns 400.

availability_settingenumOptionalDefaults to host
By default every host on the Event Type shares an identical schedule.
Allowed values:

Response

OK
resourceobject
A configuration for an Event Type Availability Schedule

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error